Index: librt/primitives/nmg/nmg_inter.c
===================================================================
--- librt/primitives/nmg/nmg_inter.c	(revision 54048)
+++ librt/primitives/nmg/nmg_inter.c	(working copy)
@@ -636,7 +636,7 @@
     nmg_hack_last_is = (struct nmg_inter_struct *)NULL;
 
     if (!is->vert2d) return;
-    bu_free((char *)is->vert2d, "vert2d");
+    bu_free((genptr_t)is->vert2d, "vert2d");
     is->vert2d = NULL;
     is->twod = NULL;
 }
@@ -2273,9 +2273,9 @@
     (void)bu_ptbl_free(&eu1_list);
     (void)bu_ptbl_free(&eu2_list);
     if (mag1)
-	bu_free((char *)mag1, "nmg_isect_edge2p_face2p: mag1");
+	bu_free((genptr_t)mag1, "nmg_isect_edge2p_face2p: mag1");
     if (mag2)
-	bu_free((char *)mag2, "nmg_isect_edge2p_face2p: mag2");
+	bu_free((genptr_t)mag2, "nmg_isect_edge2p_face2p: mag2");
 
 do_ret:
     if (rt_g.NMG_debug & DEBUG_POLYSECT) {
@@ -2855,9 +2855,9 @@
 	}
     }
     if (mag1)
-	bu_free((char *)mag1, "mag1");
+	bu_free((genptr_t)mag1, "mag1");
     if (mag2)
-	bu_free((char *)mag2, "mag2");
+	bu_free((genptr_t)mag2, "mag2");
 
     bu_ptbl_free(is->l1);
     bu_ptbl_free(is->l2);
@@ -3005,7 +3005,7 @@
 	nmg_region_v_unique(fu1->s_p->r_p, &is->tol);
 	nmg_region_v_unique(fu2->s_p->r_p, &is->tol);
     }
-    bu_free((char *)tags, "tags[]");
+    bu_free((genptr_t)tags, "tags[]");
     if (rt_g.NMG_debug & DEBUG_POLYSECT)
 	bu_log("nmg_isect_two_face2p(fu1=x%x, fu2=x%x) END\n", fu1, fu2);
 }
@@ -4063,7 +4063,7 @@
 	inter_dist[index_at_max] = (-10.0);
     }
 
-    bu_free((char *)inter_dist, "nmg_isect_eu_fu: inter_dist");
+    bu_free((genptr_t)inter_dist, "nmg_isect_eu_fu: inter_dist");
 
 out:
     bu_ptbl_free(&inters);
@@ -5222,9 +5222,9 @@
     (void)bu_ptbl_free(&eu1_list);
     (void)bu_ptbl_free(&eu2_list);
     if (mag1)
-	bu_free((char *)mag1, "nmg_isect_two_face3p: mag1");
+	bu_free((genptr_t)mag1, "nmg_isect_two_face3p: mag1");
     if (mag2)
-	bu_free((char *)mag2, "nmg_isect_two_face3p: mag2");
+	bu_free((genptr_t)mag2, "nmg_isect_two_face3p: mag2");
 
 
     if (rt_g.NMG_debug & DEBUG_VERIFY) {
@@ -5505,7 +5505,7 @@
 		bu_log("v=x%x, dist=%g\n", BU_PTBL_GET(&cut_list, i), dist_array[i]);
 	}
 
-	bu_free((char *)dist_array, "distance array");
+	bu_free((genptr_t)dist_array, "distance array");
     }
 
     for (i=0; i<BU_PTBL_END(&cut_list); i += 2) {
@@ -6601,9 +6601,9 @@
     nmg_isect_coplanar_edges(is, &eu1_list, &eu2_list);
 
     if (mag1)
-	bu_free((char *)mag1, "mag1");
+	bu_free((genptr_t)mag1, "mag1");
     if (mag2)
-	bu_free((char *)mag2, "mag2");
+	bu_free((genptr_t)mag2, "mag2");
 
     bu_ptbl_free(is->l1);
     bu_ptbl_free(is->l2);
Index: librt/primitives/nmg/nmg_pr.c
===================================================================
--- librt/primitives/nmg/nmg_pr.c	(revision 54048)
+++ librt/primitives/nmg/nmg_pr.c	(working copy)
@@ -1101,7 +1101,7 @@
 	eu1 = eu1->radial_p;
     } while (eu1 != eu);
 
-    bu_free((char *)b, "nmg_pl_lu_around_eu flag[]");
+    bu_free((genptr_t)b, "nmg_pl_lu_around_eu flag[]");
     fclose(fp);
     bu_log("Wrote %s\n", buf);
 }
Index: librt/primitives/nmg/nmg_info.c
===================================================================
--- librt/primitives/nmg/nmg_info.c	(revision 54048)
+++ librt/primitives/nmg/nmg_info.c	(working copy)
@@ -1264,7 +1264,7 @@
 
     nmg_visit(magic_p, &htab, (genptr_t)&st);
 
-    bu_free((char *)st.visited, "visited[]");
+    bu_free((genptr_t)st.visited, "visited[]");
 
     if (st.ep) {
 	NMG_CK_EDGE(st.ep);
@@ -2093,7 +2093,7 @@
 
     nmg_visit(magic_p, &handlers, (genptr_t)&st);
 
-    bu_free((char *)st.visited, "visited[]");
+    bu_free((genptr_t)st.visited, "visited[]");
 }
 
 
@@ -2150,7 +2150,7 @@
 
     nmg_visit(magic_p, &handlers, (genptr_t)&st);
 
-    bu_free((char *)st.visited, "visited[]");
+    bu_free((genptr_t)st.visited, "visited[]");
 }
 
 
@@ -2204,7 +2204,7 @@
 
     nmg_visit(magic_p, &handlers, (genptr_t)&st);
 
-    bu_free((char *)st.visited, "visited[]");
+    bu_free((genptr_t)st.visited, "visited[]");
 }
 
 
@@ -2258,7 +2258,7 @@
 
     nmg_visit(magic_p, &handlers, (genptr_t)&st);
 
-    bu_free((char *)st.visited, "visited[]");
+    bu_free((genptr_t)st.visited, "visited[]");
 }
 
 
@@ -2321,7 +2321,7 @@
 
     nmg_visit(magic_p, &handlers, (genptr_t)&st);
 
-    bu_free((char *)st.visited, "visited[]");
+    bu_free((genptr_t)st.visited, "visited[]");
 }
 
 
@@ -2375,7 +2375,7 @@
 
     nmg_visit(magic_p, &handlers, (genptr_t)&st);
 
-    bu_free((char *)st.visited, "visited[]");
+    bu_free((genptr_t)st.visited, "visited[]");
 }
 
 
@@ -2499,7 +2499,7 @@
 
     nmg_visit(magic_p, &handlers, (genptr_t)&st);
 
-    bu_free((char *)st.visited, "visited[]");
+    bu_free((genptr_t)st.visited, "visited[]");
 }
 
 
@@ -2585,7 +2585,7 @@
 
     nmg_visit(magic_p, &handlers, (genptr_t)&st);
 
-    bu_free((char *)st.visited, "visited[]");
+    bu_free((genptr_t)st.visited, "visited[]");
 }
 
 
Index: librt/primitives/nmg/nmg_bool.c
===================================================================
--- librt/primitives/nmg/nmg_bool.c	(revision 54048)
+++ librt/primitives/nmg/nmg_bool.c	(working copy)
@@ -198,7 +198,7 @@
 
     nmg_visit(magic_p, &handlers, (genptr_t)&st);
 
-    bu_free((char *)st.visited, "visited[]");
+    bu_free((genptr_t)st.visited, "visited[]");
     return st.count;
 }
 
@@ -963,7 +963,7 @@
     }
 
     if (m->manifolds) {
-	bu_free((char *)m->manifolds, "free manifolds table");
+	bu_free((genptr_t)m->manifolds, "free manifolds table");
 	m->manifolds = (char *)NULL;
     }
     m->manifolds = nmg_manifolds(m);
@@ -987,7 +987,7 @@
     nmg_class_shells(sB, sA, &classlist[4], tol);
 
     if (m->manifolds) {
-	bu_free((char *)m->manifolds, "free manifolds table");
+	bu_free((genptr_t)m->manifolds, "free manifolds table");
 	m->manifolds = (char *)NULL;
     }
 
@@ -1106,7 +1106,7 @@
     }
 
     for (i = 0; i < 8; i++) {
-	bu_free((char *)classlist[i], "nmg_bool classlist");
+	bu_free((genptr_t)classlist[i], "nmg_bool classlist");
     }
 
     if (rt_g.NMG_debug & DEBUG_BOOL) {
Index: librt/primitives/nmg/nmg_misc.c
===================================================================
--- librt/primitives/nmg/nmg_misc.c	(revision 54048)
+++ librt/primitives/nmg/nmg_misc.c	(working copy)
@@ -149,7 +149,7 @@
 	VADD2(area, area, cross);
     }
 
-    bu_free((char *)pts, "nmg_snurb_calc_lu_uv_orient: pts");
+    bu_free((genptr_t)pts, "nmg_snurb_calc_lu_uv_orient: pts");
 
     if (area[Z] > 0.0)
 	return OT_SAME;
@@ -744,7 +744,7 @@
 	    bu_ptbl_ins(shells, (long *)void_s);
 	}
     }
-    bu_free((char *)flags, "nmg_assoc_void_shells: flags");
+    bu_free((genptr_t)flags, "nmg_assoc_void_shells: flags");
 }
 
 
@@ -840,7 +840,7 @@
 	    nmg_assoc_void_shells(r, (*shells)[i], tol);
     }
 
-    bu_free((char *)flags, "nmg_find_outer_and_void_shells: flags");
+    bu_free((genptr_t)flags, "nmg_find_outer_and_void_shells: flags");
     bu_ptbl_free(outer_shells);
     return outer_shell_count;
 }
@@ -2171,7 +2171,7 @@
 	nmg_region_a(r, tol);
     }
 
-    bu_free((char *)flags, "rebound flags[]");
+    bu_free((genptr_t)flags, "rebound flags[]");
 }
 
 
@@ -2216,7 +2216,7 @@
 	}
     }
 
-    bu_free((char *)tbl, "face/wire/point counted table");
+    bu_free((genptr_t)tbl, "face/wire/point counted table");
 }
 
 
@@ -2483,7 +2483,7 @@
 		for (i=0; i<loop_size; i++)
 		    bu_ptbl_rm(&eu_tbl, (long *)eu_used[i]);
 
-		bu_free((char *)eu_used, "edge used list");
+		bu_free((genptr_t)eu_used, "edge used list");
 
 		/* may need to remove one more edgeuse from table */
 		eu_tmp = nmg_find_e((*(struct vertex **)BU_PTBL_GET(&vert_tbl, 0)), (*(struct vertex **)BU_PTBL_GET(&vert_tbl, loop_size-1)), (struct shell *)NULL, (struct edge *)NULL);
@@ -2616,7 +2616,7 @@
 		}
 	    }
 
-	    bu_free((char *)eu_used, "edge used list");
+	    bu_free((genptr_t)eu_used, "edge used list");
 
 	    /* re-order loop */
 	    loop_size = 0;
@@ -2692,7 +2692,7 @@
     }
 
     /* Free up all the memory */
-    bu_free((char *)idx, "idx");
+    bu_free((genptr_t)idx, "idx");
     bu_ptbl_free(&eu_tbl);
     bu_ptbl_free(&vert_tbl);
 
@@ -3041,7 +3041,7 @@
 
     f = nmg_find_top_face(s, &dir, flags);
 
-    bu_free((char *)flags, "nmg_shell_is_void: flags");
+    bu_free((genptr_t)flags, "nmg_shell_is_void: flags");
 
     if (f == (struct face *)NULL)
 	return -1;
@@ -3380,7 +3380,7 @@
     if (f_top == (struct face *)NULL) {
 	bu_log("nmg_fix_decomposed_shell_normals: Could not get a top face from nmg_find_top_face()\n");
 	bu_log("\tWARNING: continuing without fixing normals!\n");
-	bu_free((char *)flags, "nmg_fix_decomposed_shell_normals: flags");
+	bu_free((genptr_t)flags, "nmg_fix_decomposed_shell_normals: flags");
 	return;
     }
     if (*f_top->g.magic_p != NMG_FACE_G_PLANE_MAGIC) {
@@ -3398,7 +3398,7 @@
 	fu = fu->fumate_p;
     if (fu->orientation != OT_SAME) {
 	bu_log("nmg_fix_decomposed_shell_normals: no OT_SAME use of top face\n");
-	bu_free((char *)flags, "nmg_fix_decomposed_shell_normals: flags");
+	bu_free((genptr_t)flags, "nmg_fix_decomposed_shell_normals: flags");
 	return;
     }
     NMG_GET_FU_NORMAL(normal, fu);
@@ -3454,7 +3454,7 @@
 	bu_bomb("nmg_fix_decomposed_shell_normals: missed faces in shell (was it decomposed?)\n");
     }
 
-    bu_free((char *)flags, "flags");
+    bu_free((genptr_t)flags, "flags");
 }
 
 
@@ -3629,7 +3629,7 @@
     if (shell_count == 1) {
 	/* just one shell, so fix it and return */
 	(void)nmg_km(tmp_m);
-	bu_free((char *)trans_tbl, "translate table");
+	bu_free((genptr_t)trans_tbl, "translate table");
 	nmg_connect_same_fu_orients(s_orig);
 	nmg_fix_decomposed_shell_normals(s_orig, tol);
 	return;
@@ -3725,7 +3725,7 @@
     }
 
     bu_ptbl_free(&reverse);
-    bu_free((char *)trans_tbl, "translation table");
+    bu_free((genptr_t)trans_tbl, "translation table");
 
     nmg_km(tmp_m);
 }
@@ -4120,7 +4120,7 @@
 
     count = sl_state.split;
 
-    bu_free((char *)sl_state.flags, "nmg_split_loops_into_faces: flags");
+    bu_free((genptr_t)sl_state.flags, "nmg_split_loops_into_faces: flags");
 
     return count;
 }
@@ -4262,7 +4262,7 @@
 
     if (!missed_faces) {
 	/* nothing to do, just one shell */
-	bu_free((char *)flags, "nmg_decompose_shell: flags ");
+	bu_free((genptr_t)flags, "nmg_decompose_shell: flags ");
 	bu_ptbl_free(&stack);
 	bu_ptbl_free(&shared_edges);
 	return no_of_shells;
@@ -4406,7 +4406,7 @@
 	    }
 	}
 
-	bu_free((char *)shells_at_edge, "nmg_decompose_shell: shells_at_edge");
+	bu_free((genptr_t)shells_at_edge, "nmg_decompose_shell: shells_at_edge");
 
 	/* make a new shell number */
 	if (new_shell_no) {
@@ -4537,7 +4537,7 @@
 	bu_ptbl_free(&faces);
 	nmg_shell_a(new_s, tol);
     }
-    bu_free((char *)flags, "nmg_decompose_shell: flags ");
+    bu_free((genptr_t)flags, "nmg_decompose_shell: flags ");
     bu_ptbl_free(&stack);
     bu_ptbl_free(&shared_edges);
 
@@ -4738,7 +4738,7 @@
 
     count = ub_state.unbroken;
 
-    bu_free((char *)ub_state.flags, "nmg_unbreak_region_edges: flags");
+    bu_free((genptr_t)ub_state.flags, "nmg_unbreak_region_edges: flags");
 
     return count;
 }
@@ -5282,7 +5282,7 @@
 	    for (edge_no=0; edge_no<BU_PTBL_END(int_faces); edge_no++) {
 		i_fus = (struct intersect_fus *)BU_PTBL_GET(int_faces, edge_no);
 
-		bu_free((char *)i_fus, "nmg_get_edge_lines: i_fus");
+		bu_free((genptr_t)i_fus, "nmg_get_edge_lines: i_fus");
 	    }
 	    return 1;
 	}
@@ -5605,7 +5605,7 @@
 	i_fus->free_edge = 1;
 
     bu_ptbl_rm(int_faces, (long *)j_fus);
-    bu_free((char *)j_fus, "nmg_split_edges_at_pts: j_fus ");
+    bu_free((genptr_t)j_fus, "nmg_split_edges_at_pts: j_fus ");
 
 }
 
@@ -6715,7 +6715,7 @@
 	if (bn_isect_planes(new_v->vg_p->coord, (const plane_t *)planes, pl_count)) {
 	    bu_log("nmg_cacl_new_v: Cannot solve for new geometry at (%f %f %f)\n",
 		   V3ARGS(new_v->vg_p->coord));
-	    bu_free((char *)planes, "nmg_calc_new_v: planes");
+	    bu_free((genptr_t)planes, "nmg_calc_new_v: planes");
 	    return 1;
 	}
     } else if (pl_count == 1) {
@@ -6730,20 +6730,20 @@
 	pl_count = 3;
 	if (bn_mkpoint_3planes(new_v->vg_p->coord, planes[0], planes[1], planes[2])) {
 	    bu_log("nmg_cacl_new_v: 3 planes do not intersect at a point\n");
-	    bu_free((char *)planes, "nmg_calc_new_v: planes");
+	    bu_free((genptr_t)planes, "nmg_calc_new_v: planes");
 	    return 1;
 	}
     } else {
 	bu_log("nmg_calc_new_v: No face planes at vertex x%x (%f %f %f)\n",
 	       new_v, V3ARGS(new_v->vg_p->coord));
-	bu_free((char *)planes, "nmg_calc_new_v: planes");
+	bu_free((genptr_t)planes, "nmg_calc_new_v: planes");
 	return 1;
     }
 
     if (rt_g.NMG_debug & DEBUG_BASIC)
 	bu_log("\tnew_v = (%f %f %f)\n", V3ARGS(new_v->vg_p->coord));
 
-    bu_free((char *)planes, "nmg_calc_new_v: planes");
+    bu_free((genptr_t)planes, "nmg_calc_new_v: planes");
 
     for (i=0; i<BU_PTBL_END(int_faces); i++) {
 	struct intersect_fus *fus;
@@ -6878,10 +6878,10 @@
 	if (bn_isect_planes(new_v->vg_p->coord, (const plane_t *)planes, plane_count)) {
 	    bu_log("nmg_complex_vertex_solve: Could not calculate new geometry at (%f %f %f)\n",
 		   V3ARGS(new_v->vg_p->coord));
-	    bu_free((char *) planes, "nmg_complex_vertex_solve: planes");
+	    bu_free((genptr_t) planes, "nmg_complex_vertex_solve: planes");
 	    return 1;
 	}
-	bu_free((char *) planes, "nmg_complex_vertex_solve: planes");
+	bu_free((genptr_t) planes, "nmg_complex_vertex_solve: planes");
 
 	if (rt_g.NMG_debug & DEBUG_BASIC)
 	    bu_log("nmg_complex_vertex_solve: new coords = (%f %f %f)\n",
@@ -6936,7 +6936,7 @@
 	struct intersect_fus *i_fus;
 
 	i_fus = (struct intersect_fus *)BU_PTBL_GET(&int_faces, i);
-	bu_free((char *)i_fus, "nmg_complex_vertex_solve: intersect_fus struct\n");
+	bu_free((genptr_t)i_fus, "nmg_complex_vertex_solve: intersect_fus struct\n");
     }
     bu_ptbl_free(&int_faces);
 
@@ -7299,7 +7299,7 @@
 		    if (nmg_find_isect_faces(vu->v_p, &faces, &count, tol) > 3) {
 			bu_log("mg_move_edge_thru_pt: Cannot handle complex vertices\n");
 			bu_ptbl_free(&faces);
-			bu_free((char *)flags, "mg_move_edge_thru_pt: flags");
+			bu_free((genptr_t)flags, "mg_move_edge_thru_pt: flags");
 			return 1;
 		    }
 
@@ -7307,7 +7307,7 @@
 			/* failed */
 			bu_log("nmg_move_edge_thru_pt: Could not solve simple vertex\n");
 			bu_ptbl_free(&faces);
-			bu_free((char *)flags, "mg_move_edge_thru_pt: flags");
+			bu_free((genptr_t)flags, "mg_move_edge_thru_pt: flags");
 			return 1;
 		    }
 		}
@@ -7326,7 +7326,7 @@
 		    if (nmg_find_isect_faces(vu->v_p, &faces, &count, tol) > 3) {
 			bu_log("mg_move_edge_thru_pt: Cannot handle complex vertices\n");
 			bu_ptbl_free(&faces);
-			bu_free((char *)flags, "mg_move_edge_thru_pt: flags");
+			bu_free((genptr_t)flags, "mg_move_edge_thru_pt: flags");
 			return 1;
 		    }
 
@@ -7350,7 +7350,7 @@
 			    /* failed */
 			    bu_log("nmg_move_edge_thru_pt: Could not solve simple vertex\n");
 			    bu_ptbl_free(&faces);
-			    bu_free((char *)flags, "mg_move_edge_thru_pt: flags");
+			    bu_free((genptr_t)flags, "mg_move_edge_thru_pt: flags");
 			    return 1;
 			}
 		    }
@@ -7376,7 +7376,7 @@
     }
     while (fu != fu1 && fu != fu1->fumate_p);
 
-    bu_free((char *)flags, "mg_move_edge_thru_pt: flags");
+    bu_free((genptr_t)flags, "mg_move_edge_thru_pt: flags");
     bu_ptbl_free(&faces);
 
     return 0;
@@ -8210,7 +8210,7 @@
 	    }
 	}
 	bu_ptbl_rm(&dangles, (long *)dang);
-	bu_free((char *)dang, "nmg_open_shells_connect: dang");
+	bu_free((genptr_t)dang, "nmg_open_shells_connect: dang");
     }
 
     bu_ptbl_free(&dangles);
@@ -8342,7 +8342,7 @@
 	}
     }
 
-    bu_free((char *)flags, "nmg_mirror_model: flags ");
+    bu_free((genptr_t)flags, "nmg_mirror_model: flags ");
 }
 
 
@@ -11050,9 +11050,9 @@
 	    fu = fu->fumate_p;
 	    if (fu->orientation != OT_SAME) {
 		bu_log("nmg_bot(): Face has no OT_SAME use!\n");
-		bu_free((char *)bot->vertices, "BOT vertices");
-		bu_free((char *)bot->faces, "BOT faces");
-		bu_free((char *)bot, "BOT");
+		bu_free((genptr_t)bot->vertices, "BOT vertices");
+		bu_free((genptr_t)bot->faces, "BOT faces");
+		bu_free((genptr_t)bot, "BOT");
 		return (struct rt_bot_internal *)NULL;
 	    }
 	}
@@ -11099,9 +11099,9 @@
 	    fu = fu->fumate_p;
 	    if (fu->orientation != OT_SAME) {
 		bu_log("nmg_bot(): Face has no OT_SAME use!\n");
-		bu_free((char *)bot->vertices, "BOT vertices");
-		bu_free((char *)bot->faces, "BOT faces");
-		bu_free((char *)bot, "BOT");
+		bu_free((genptr_t)bot->vertices, "BOT vertices");
+		bu_free((genptr_t)bot->faces, "BOT faces");
+		bu_free((genptr_t)bot, "BOT");
 		return (struct rt_bot_internal *)NULL;
 	    }
 	}
@@ -11116,9 +11116,9 @@
 	    for (BU_LIST_FOR (eu, edgeuse, &lu->down_hd)) {
 		if (vertex_no > 2) {
 		    bu_log("nmg_bot(): Face has not been triangulated!\n");
-		    bu_free((char *)bot->vertices, "BOT vertices");
-		    bu_free((char *)bot->faces, "BOT faces");
-		    bu_free((char *)bot, "BOT");
+		    bu_free((genptr_t)bot->vertices, "BOT vertices");
+		    bu_free((genptr_t)bot->faces, "BOT faces");
+		    bu_free((genptr_t)bot, "BOT");
 		    return (struct rt_bot_internal *)NULL;
 		}
 
Index: librt/primitives/metaball/metaball.c
===================================================================
--- librt/primitives/metaball/metaball.c	(revision 54048)
+++ librt/primitives/metaball/metaball.c	(working copy)
@@ -629,7 +629,7 @@
 {
     struct rt_metaball_internal *metaball = (struct rt_metaball_internal *)stp->st_specific;
 
-    bu_free((char *)metaball, "rt_metaball_internal");
+    bu_free((genptr_t)metaball, "rt_metaball_internal");
 }
 
 
@@ -871,7 +871,7 @@
     if (metaball->metaball_ctrl_head.magic != 0)
 	while (BU_LIST_WHILE(mbpt, wdb_metaballpt, &metaball->metaball_ctrl_head)) {
 	    BU_LIST_DEQUEUE(&(mbpt->l));
-	    bu_free((char *)mbpt, "wdb_metaballpt");
+	    bu_free((genptr_t)mbpt, "wdb_metaballpt");
 	}
     bu_free(ip->idb_ptr, "metaball ifree");
     ip->idb_ptr = GENPTR_NULL;
Index: librt/primitives/bot/bot.c
===================================================================
--- librt/primitives/bot/bot.c	(revision 54048)
+++ librt/primitives/bot/bot.c	(working copy)
@@ -3302,7 +3302,7 @@
 	}
     }
 
-    bu_free((char *)verts, "rt_bot_condense: verts");
+    bu_free((genptr_t)verts, "rt_bot_condense: verts");
 
     if (!dead_verts) return 0;
 
Index: librt/primitives/bot/g_bot_include.c
===================================================================
--- librt/primitives/bot/g_bot_include.c	(revision 54048)
+++ librt/primitives/bot/g_bot_include.c	(working copy)
@@ -74,7 +74,7 @@
 	|| m3 < tol->dist_sq
 	|| m4 < tol->dist_sq)
     {
-	bu_free((char *)trip, "getstruct tri_specific");
+	bu_free((genptr_t)trip, "getstruct tri_specific");
 
 	if (RT_G_DEBUG & DEBUG_SHOOT) {
 	    bu_log("%s: degenerate facet #%zu\n",
@@ -1361,16 +1361,16 @@
     register XGLUE(tri_specific_, TRI_TYPE) *tri, *ptr;
 
     if (bot->bot_facearray) {
-	bu_free((char *)bot->bot_facearray, "bot_facearray");
+	bu_free((genptr_t)bot->bot_facearray, "bot_facearray");
 	bot->bot_facearray = NULL;
     }
 
     if (bot->bot_thickness) {
-	bu_free((char *)bot->bot_thickness, "bot_thickness");
+	bu_free((genptr_t)bot->bot_thickness, "bot_thickness");
 	bot->bot_thickness = NULL;
     }
     if (bot->bot_facemode) {
-	bu_free((char *)bot->bot_facemode, "bot_facemode");
+	bu_free((genptr_t)bot->bot_facemode, "bot_facemode");
 	bot->bot_facemode = NULL;
     }
     ptr = bot->bot_facelist;
@@ -1378,14 +1378,14 @@
 	tri = ptr->tri_forw;
 	if (ptr) {
 	    if (ptr->tri_normals) {
-		bu_free((char *)ptr->tri_normals, "bot tri_specific normals");
+		bu_free((genptr_t)ptr->tri_normals, "bot tri_specific normals");
 	    }
-	    bu_free((char *)ptr, "bot tri_specific");
+	    bu_free((genptr_t)ptr, "bot tri_specific");
 	}
 	ptr = tri;
     }
     bot->bot_facelist = NULL;
-    bu_free((char *)bot, "bot_specific");
+    bu_free((genptr_t)bot, "bot_specific");
 }
 
 
Index: librt/primitives/dsp/dsp.c
===================================================================
--- librt/primitives/dsp/dsp.c	(revision 54048)
+++ librt/primitives/dsp/dsp.c	(working copy)
@@ -75,7 +75,7 @@
 #define IMPORT_FAIL(_s) \
     if (dsp_ip) { \
 	bu_log("rt_dsp_import4(%d) '%V' %s\n", __LINE__, &dsp_ip->dsp_name, _s); \
-	bu_free((char *)dsp_ip, "rt_dsp_import4: dsp_ip"); \
+	bu_free((genptr_t)dsp_ip, "rt_dsp_import4: dsp_ip"); \
     } \
     ip->idb_type = ID_NULL; \
     ip->idb_ptr = (genptr_t)NULL; \
@@ -974,7 +974,7 @@
 	    break;
     }
 
-    bu_free((char *)dsp, "bbox dsp");
+    bu_free((genptr_t)dsp, "bbox dsp");
 
     return 0;
 }
@@ -3173,7 +3173,7 @@
 	    break;
     }
 
-    bu_free((char *)dsp, "dsp_specific");
+    bu_free((genptr_t)dsp, "dsp_specific");
 }
 
 
@@ -4678,7 +4678,7 @@
 	bu_log("Freeing Bogus DSP, VLS string not initialized\n");
 
 
-    bu_free((char *)dsp_ip, "dsp ifree");
+    bu_free((genptr_t)dsp_ip, "dsp ifree");
     ip->idb_ptr = GENPTR_NULL;	/* sanity */
 }
 
Index: librt/primitives/xxx/xxx.c
===================================================================
--- librt/primitives/xxx/xxx.c	(revision 54048)
+++ librt/primitives/xxx/xxx.c	(working copy)
@@ -239,7 +239,7 @@
     xxx = (struct xxx_specific *)stp->st_specific;
     if (!xxx) return;
 
-    bu_free((char *)xxx, "xxx_specific");
+    bu_free((genptr_t)xxx, "xxx_specific");
 }
 
 
@@ -415,7 +415,7 @@
     RT_XXX_CK_MAGIC(xxx_ip);
     xxx_ip->magic = 0;			/* sanity */
 
-    bu_free((char *)xxx_ip, "xxx ifree");
+    bu_free((genptr_t)xxx_ip, "xxx ifree");
     ip->idb_ptr = GENPTR_NULL;	/* sanity */
 }
 
Index: librt/primitives/pipe/pipe.c
===================================================================
--- librt/primitives/pipe/pipe.c	(revision 54048)
+++ librt/primitives/pipe/pipe.c	(working copy)
@@ -2789,7 +2789,7 @@
 		}
 	    }
 	}
-	bu_free((char *)(*outer_loop), "tesselate_pipe_bend: outer_loop");
+	bu_free((genptr_t)(*outer_loop), "tesselate_pipe_bend: outer_loop");
 	*outer_loop = new_outer_loop;
     } else if ( or > tol->dist && end_or <= tol->dist) {
 	struct vertex *v = (struct vertex *)NULL;
@@ -2862,7 +2862,7 @@
 	    }
 	}
 
-	bu_free((char *)(*outer_loop), "tesselate_pipe_linear: outer_loop");
+	bu_free((genptr_t)(*outer_loop), "tesselate_pipe_linear: outer_loop");
 	outer_loop[0] = &v;
     } else if ( or <= tol->dist && end_or > tol->dist) {
 	point_t pt, pt_next;
@@ -2949,7 +2949,7 @@
 		}
 	    }
 	}
-	bu_free((char *)(*outer_loop), "tesselate_pipe_linear: outer_loop");
+	bu_free((genptr_t)(*outer_loop), "tesselate_pipe_linear: outer_loop");
 	*outer_loop = new_outer_loop;
     }
 
@@ -3107,7 +3107,7 @@
 	    }
 
 	}
-	bu_free((char *)(*inner_loop), "tesselate_pipe_bend: inner_loop");
+	bu_free((genptr_t)(*inner_loop), "tesselate_pipe_bend: inner_loop");
 	*inner_loop = new_inner_loop;
     } else if (ir > tol->dist && end_ir <= tol->dist) {
 	struct vertex *v = (struct vertex *)NULL;
@@ -3182,7 +3182,7 @@
 	    }
 	}
 
-	bu_free((char *)(*inner_loop), "tesselate_pipe_linear: inner_loop");
+	bu_free((genptr_t)(*inner_loop), "tesselate_pipe_linear: inner_loop");
 	inner_loop[0] = &v;
     } else if (ir <= tol->dist && end_ir > tol->dist) {
 	point_t pt, pt_next;
@@ -3269,10 +3269,10 @@
 		}
 	    }
 	}
-	bu_free((char *)(*inner_loop), "tesselate_pipe_linear: inner_loop");
+	bu_free((genptr_t)(*inner_loop), "tesselate_pipe_linear: inner_loop");
 	*inner_loop = new_inner_loop;
     }
-    bu_free((char *)norms, "tesselate_linear_pipe: norms");
+    bu_free((genptr_t)norms, "tesselate_linear_pipe: norms");
 }
 
 
@@ -3543,14 +3543,14 @@
 	    }
 	}
 
-	bu_free((char *)(*outer_loop), "tesselate_pipe_bend: outer_loop");
+	bu_free((genptr_t)(*outer_loop), "tesselate_pipe_bend: outer_loop");
 	*outer_loop = new_outer_loop;
 	VMOVE(old_center, center);
     }
 
     /* release resources, sanity */
     free_vert_tree(vertex_tree);
-    bu_free((char *)vertex_array, "vertex array in pipe.c");
+    bu_free((genptr_t)vertex_array, "vertex array in pipe.c");
     vertex_tree = NULL;
     vertex_array = NULL;
 
@@ -3706,7 +3706,7 @@
 		}
 	    }
 	}
-	bu_free((char *)(*inner_loop), "tesselate_pipe_bend: inner_loop");
+	bu_free((genptr_t)(*inner_loop), "tesselate_pipe_bend: inner_loop");
 	*inner_loop = new_inner_loop;
 	VMOVE(old_center, center);
     }
@@ -3764,7 +3764,7 @@
 
 	fu = nmg_add_loop_to_face(s, fu, verts, arc_segs, OT_OPPOSITE);
 
-	bu_free((char *)verts, "tesselate_pipe_end: verts");
+	bu_free((genptr_t)verts, "tesselate_pipe_end: verts");
     } else if (prev->pp_id > tol->dist) {
 	struct vertexuse *vu;
 
@@ -3979,8 +3979,8 @@
 
     tesselate_pipe_end(pp2, arc_segs, &outer_loop, &inner_loop, s, tol);
 
-    bu_free((char *)outer_loop, "rt_pipe_tess: outer_loop");
-    bu_free((char *)inner_loop, "rt_pipe_tess: inner_loop");
+    bu_free((genptr_t)outer_loop, "rt_pipe_tess: outer_loop");
+    bu_free((genptr_t)inner_loop, "rt_pipe_tess: inner_loop");
 
     nmg_rebound(m, tol);
     nmg_edge_fuse(&s->l.magic, tol);
@@ -4368,7 +4368,7 @@
     if (pip->pipe_segs_head.magic != 0) {
 	while (BU_LIST_WHILE(ptp, wdb_pipept, &pip->pipe_segs_head)) {
 	    BU_LIST_DEQUEUE(&(ptp->l));
-	    bu_free((char *)ptp, "wdb_pipept");
+	    bu_free((genptr_t)ptp, "wdb_pipept");
 	}
     }
     bu_free(ip->idb_ptr, "pipe ifree");
Index: librt/primitives/vol/vol.c
===================================================================
--- librt/primitives/vol/vol.c	(revision 54048)
+++ librt/primitives/vol/vol.c	(working copy)
@@ -732,11 +732,11 @@
     vip = (struct rt_vol_internal *)ip->idb_ptr;
     RT_VOL_CK_MAGIC(vip);
 
-    if (vip->map) bu_free((char *)vip->map, "vol bitmap");
+    if (vip->map) bu_free((genptr_t)vip->map, "vol bitmap");
 
     vip->magic = 0;			/* sanity */
     vip->map = (unsigned char *)0;
-    bu_free((char *)vip, "vol ifree");
+    bu_free((genptr_t)vip, "vol ifree");
     ip->idb_ptr = GENPTR_NULL;	/* sanity */
 }
 
@@ -936,8 +936,8 @@
     register struct rt_vol_specific *volp =
 	(struct rt_vol_specific *)stp->st_specific;
 
-    bu_free((char *)volp->vol_i.map, "vol_map");
-    bu_free((char *)volp, "rt_vol_specific");
+    bu_free((genptr_t)volp->vol_i.map, "vol_map");
+    bu_free((genptr_t)volp, "rt_vol_specific");
 }
 
 
Index: librt/primitives/hyp/hyp.c
===================================================================
--- librt/primitives/hyp/hyp.c	(revision 54048)
+++ librt/primitives/hyp/hyp.c	(working copy)
@@ -600,7 +600,7 @@
     struct hyp_specific *hyp =
 	(struct hyp_specific *)stp->st_specific;
 
-    bu_free((char *)hyp, "hyp_specific");
+    bu_free((genptr_t)hyp, "hyp_specific");
 }
 
 
@@ -1118,13 +1118,13 @@
     nmg_shell_coplanar_face_merge(s, tol, 1);
 
     /* free mem */
-    bu_free((char *)outfaceuses, "faceuse []");
+    bu_free((genptr_t)outfaceuses, "faceuse []");
     for (i = 0; i < nell; i++) {
-	bu_free((char *)ellipses[i], "pts ell");
-	bu_free((char *)vells[i], "vertex []");
+	bu_free((genptr_t)ellipses[i], "pts ell");
+	bu_free((genptr_t)vells[i], "vertex []");
     }
-    bu_free((char *)ellipses, "fastf_t ell[]");
-    bu_free((char *)vells, "vertex [][]");
+    bu_free((genptr_t)ellipses, "fastf_t ell[]");
+    bu_free((genptr_t)vells, "vertex [][]");
 
     /* Assign vertexuse normals */
     nmg_vertex_tabulate(&vert_tab, &s->l.magic);
@@ -1170,13 +1170,13 @@
 
  fail:
     /* free mem */
-    bu_free((char *)outfaceuses, "faceuse []");
+    bu_free((genptr_t)outfaceuses, "faceuse []");
     for (i = 0; i < nell; i++) {
-	bu_free((char *)ellipses[i], "pts ell");
-	bu_free((char *)vells[i], "vertex []");
+	bu_free((genptr_t)ellipses[i], "pts ell");
+	bu_free((genptr_t)vells[i], "vertex []");
     }
-    bu_free((char *)ellipses, "fastf_t ell[]");
-    bu_free((char *)vells, "vertex [][]");
+    bu_free((genptr_t)ellipses, "fastf_t ell[]");
+    bu_free((genptr_t)vells, "vertex [][]");
 
     return -1;
 }
@@ -1347,7 +1347,7 @@
     RT_HYP_CK_MAGIC(hyp_ip);
     hyp_ip->hyp_magic = 0;			/* sanity */
 
-    bu_free((char *)hyp_ip, "hyp ifree");
+    bu_free((genptr_t)hyp_ip, "hyp ifree");
     ip->idb_ptr = GENPTR_NULL;	/* sanity */
 }
 
Index: librt/primitives/grip/grip.c
===================================================================
--- librt/primitives/grip/grip.c	(revision 54048)
+++ librt/primitives/grip/grip.c	(working copy)
@@ -202,7 +202,7 @@
 {
     struct grip_specific *gripp = (struct grip_specific *)stp->st_specific;
 
-    bu_free((char *)gripp, "grip_specific");
+    bu_free((genptr_t)gripp, "grip_specific");
 }
 
 
